import 'basico_model.dart';
import '../services/services.dart';

class CategoriaProducto extends Basico {
  String? nombre;
  String? descripcion;
  int? esToping;
  int? maximo;

  CategoriaProducto({
    super.id,
    this.nombre,
    this.descripcion,
    this.esToping,
    this.maximo,
  });

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'nombre': nombre,
      'descripcion': descripcion,
      'esToping': esToping,
      'maximo': maximo,
    }..addAll(super.toJson());
  }

  CategoriaProducto.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    nombre = Basico.parseString(json['nombre']);
    descripcion = Basico.parseString(json['descripcion']);
    esToping = Basico.parseInt(json['esToping']);
    maximo = Basico.parseInt(json['maximo']);
  }

  Future<void> guardar() async {
    idLocal = await RepoService().guardar(this);
  }
}
